Bug 23339 - Reindent addbooks.tt
Summary: Reindent addbooks.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Nick Clemens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-18 14:53 UTC by Owen Leonard
Modified: 2019-08-09 13:51 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23339: Reindent addbooks.tt (28.72 KB, patch)
2019-07-18 15:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23339: (follow-up) Markup comments and corrections (5.11 KB, patch)
2019-07-18 15:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23339: Reindent addbooks.tt (28.77 KB, patch)
2019-07-19 19:44 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23339: (follow-up) Markup comments and corrections (5.16 KB, patch)
2019-07-19 19:44 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23339: Reindent addbooks.tt (28.75 KB, patch)
2019-07-30 12:32 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23339: (follow-up) Markup comments and corrections (5.10 KB, patch)
2019-07-30 12:32 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23339: Reindent addbooks.tt (28.57 KB, patch)
2019-08-05 15:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23339: (follow-up) Markup comments and corrections (5.10 KB, patch)
2019-08-05 15:22 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-07-18 14:53:55 UTC
I would like to reindent cataloging/addbooks.tt: Remove tabs, correct indentation, add some comments to clarify the structure.
Comment 1 Owen Leonard 2019-07-18 15:51:46 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-07-18 15:51:49 UTC Comment hidden (obsolete)
Comment 3 Maryse Simard 2019-07-19 19:44:12 UTC Comment hidden (obsolete)
Comment 4 Maryse Simard 2019-07-19 19:44:16 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2019-07-30 12:32:21 UTC Comment hidden (obsolete)
Comment 6 Nick Clemens 2019-07-30 12:32:24 UTC Comment hidden (obsolete)
Comment 7 Owen Leonard 2019-08-05 15:22:41 UTC
Created attachment 92013 [details] [review]
Bug 23339: Reindent addbooks.tt

This patch reindents cataloguing/addbooks.tt to use four spaces,
following coding guidelines.

To test, apply the patch and use your preferred method for checking the
differences between files while ignoring whitespace. I use diff with the
"-w" flag, but you should look into your own heart for the
right solution.

Go to Cataloging. Test that the initial page and search results view
look correct and work correctly.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 8 Owen Leonard 2019-08-05 15:22:44 UTC
Created attachment 92014 [details] [review]
Bug 23339: (follow-up) Markup comments and corrections

This patch adds comments to the template to highlight the markup
structure. It also removes the obsolete "type" attribute from the
<script> tag.

This patch should have no effect on the interface or functionality.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Martin Renvoize 2019-08-05 15:27:15 UTC
Nice work!

Pushed to master for 19.11.00
Comment 10 Fridolin SOMERS 2019-08-09 13:51:00 UTC
Enhancement not pushed to 19.05.x

(Does not apply on 19.05.x)